Bug 1470304 - Heapster pod is restarting every few hours [NEEDINFO]
Heapster pod is restarting every few hours
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Online
Classification: Red Hat
Component: Metrics (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Wringe
Junqi Zhao
: OnlineStarter
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 13:07 EDT by Clayton Coleman
Modified: 2017-10-17 09:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-17 09:41:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mwringe: needinfo? (ccoleman)


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2017-07-12 13:07:48 EDT
us-starter-east-1 has a heapster pod that restarts every hour or so due to OOMKills.  Logs showed nothing significant, but the restarts are consistent.  Has a 3750M memory limit.  Prometheus reports between 2.4GB RSS and 2.6GB RSS.

https://www.dropbox.com/s/1d4rlrhdtcdxtsr/Screenshot%202017-07-12%2013.07.26.png?dl=0
Comment 1 Matt Wringe 2017-07-12 15:15:12 EDT
Being OOMKilled would mean that it requires more RAM, right?

Heapster stores metrics in memory for a certain time period, the amount of RAM it requires is going to grow until that time period is met (and should then start to level off as it expires its old metrics).

Can you increase the amount of memory that is allocated to Heapster?

Note You need to log in before you can comment on or make changes to this bug.